Bug 1170794 - Unable to create dashboard widget for trending reports or filter
Summary: Unable to create dashboard widget for trending reports or filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.3.2
Assignee: Harpreet Kataria
QA Contact: Ramesh A
URL:
Whiteboard:
Depends On: 1163952
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-04 21:40 UTC by Harpreet Kataria
Modified: 2019-03-22 07:27 UTC (History)
6 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Trending reports do not have columns like regular reports. This meant users were unable to create a widget from a trending report. This fix adds logic to display "No Widget compatible Reports found" when filtering by trending reports in widget editor. Now users can not longer select trending reports for a widget.
Clone Of: 1163952
Environment:
Last Closed: 2015-01-14 19:44:08 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-12-04 21:46:07 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8190aeba820f67bd41aca74f5ac8c1c75174fc14

commit 8190aeba820f67bd41aca74f5ac8c1c75174fc14
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Dec 2 09:22:06 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Dec 4 16:42:39 2014 -0500

    Refactored code in schedule_menus method.
    
    - Renamed schedule_menus method to report_selection_menus, and changed all it's callers.
    - Moved report_selection_menus method to reports controller, as it is a common method schedules and widgets editor.
    - Added spec tests for report_selection_menus method
    - Changed message to be displayed for folders that do not have reports .
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163952
    (cherry picked from commit 2da4c46)
    https://bugzilla.redhat.com/show_bug.cgi?id=1170794

 vmdb/app/controllers/report_controller.rb          | 28 ++++++++++++++++
 .../app/controllers/report_controller/schedules.rb | 37 ++-------------------
 vmdb/app/controllers/report_controller/widgets.rb  |  6 ++--
 vmdb/app/views/report/_widget_form_report.html.erb |  2 +-
 vmdb/spec/controllers/report_controller_spec.rb    | 38 ++++++++++++++++++++++
 5 files changed, 72 insertions(+), 39 deletions(-)

Comment 2 CFME Bot 2014-12-04 21:46:12 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e10cad3a5f8974a75ecad6fe3a6866d182014a9b

commit e10cad3a5f8974a75ecad6fe3a6866d182014a9b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Dec 2 10:56:33 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Dec 4 16:42:50 2014 -0500

    Converted view to haml.
    
    - Used gettext to display "No Widget compatible Reports found" message.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163952
    (cherry picked from commit cf70190)
    https://bugzilla.redhat.com/show_bug.cgi?id=1170794

 vmdb/app/views/report/_widget_form_report.html.erb | 43 ----------------------
 .../app/views/report/_widget_form_report.html.haml | 42 +++++++++++++++++++++
 2 files changed, 42 insertions(+), 43 deletions(-)
 delete mode 100644 vmdb/app/views/report/_widget_form_report.html.erb
 create mode 100644 vmdb/app/views/report/_widget_form_report.html.haml

Comment 3 CFME Bot 2014-12-04 21:46:17 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=26eca4dc231e0d6e0def87f709b6289b84924728

commit 26eca4dc231e0d6e0def87f709b6289b84924728
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Dec 2 09:22:06 2014 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Dec 4 16:42:27 2014 -0500

    Exclude Trending reports from Dashboard widgets.
    
    Changed code to exclude Trending reports from widget editor because those are not like regular reports and do not have columns. Show a message instead of third pull-down "No Reports to select" in the view.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163952
    (cherry picked from commit 4f6ec6e)
    https://bugzilla.redhat.com/show_bug.cgi?id=1170794

 vmdb/app/controllers/report_controller/schedules.rb | 8 +++++---
 vmdb/app/views/report/_widget_form_report.html.erb  | 2 ++
 2 files changed, 7 insertions(+), 3 deletions(-)

Comment 5 Ramesh A 2015-01-02 13:28:19 UTC
Good to go.  Verified and working fine in  5.3.2.5.20141218144833_50406a5

Application now shows a message stating "No Widget compatible Reports found" for Trending filter.

Comment 7 errata-xmlrpc 2015-01-14 19:44:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.